import Vue from 'vue';

const Messages: any = {
    SUCCESS_SAVE_DEAFULT: 'Registro(s) salvo(s) com sucesso.',
    SUCCESS_DELETE_DEAFULT: 'Registro(s) excluído(s) com sucesso.',

    WARNING_NOT_CONTRACTED_PRODUCT_BY_CLIENT: 'O produto não está contratado para esse cliente.',

    ERROR_DEAFULT: 'Ocorreu um erro inesperado. Contate um administrador',
	ERROR_EQUAL_SLA_PARAMETERS: 'Não pode existir duas parametrizações com categoria e controle iguais para um mesmo cliente.',
    ERROR_DEFAULT_SLA_PARAM: 'Não é permitido excluir parametrização SLA padrão Teknisa!',
    ERROR_DEFAULT_SLA_ALERT: 'Não é permitido excluir alerta SLA padrão Teknisa!',
    ERROR_FILE_EXPECTED: 'É necessário inserir um arquivo!',
    ERROR_FILE_TYPE: 'Arquivo inválido!',
	ALE_TASK_EDITING_BUDGE_WIDGET: 'Essa issue não está em especificação por isso não será possivel editar o orçamento!',
	QUA_BUDGET_ITEM: 'Quantidade de horas deve ser maior que zero.',
	ALERT_CLIE_ITEM_VR: 'Valor do item de orçamento para o cliente deve ser cadastrado.',
	ALERT_CLIE: 'Atenção! A data de vigência do valor do item de orçamento para o cliente irá expirar em em breve.',
	ERRO_CLIE: 'Item de orçamento bloqueado. A data de vigência do valor do item de orçamento para o cliente expirou.',
	FASE_ERROR_PROPOSAL: 'Não é possível gerar proposta nessa fase da solicitação.',
	ERR_EMPTY_PLOTS: 'Must have at least 1 parcel.',
	ERR_ZERO_NUM_PLOTS: 'O número de parcelas não pode ser menor ou igual a 0.',
	ERR_INVALID_NUM_PLOTS: 'Número de parcelas inválido.',
	ERR_TOTAL_PLOTS: 'O total das parcelas deve ser igual ao orçamento',
	ERR_MANY_PLOTS: 'O número máximo de parcelas é 100.',

	INFO_NOT_ACTION_ISSUE: 'Não há ações para esse chamado.',
	ALERT_CLOSED_CALL_RICH_CLIENT: 'Confirma o encerramento do chamado?',
	ALERT_PROPOSTA_CREATE_SMT: 'Essa solicitação já tem uma proposta criado no SM<BR>Deseja cancelar anterior e criar uma nova com base no orçamento atual?',

    DELETE_DEFAULT: 'Deseja realmente excluir o(s) registro(s)?',

	MSG_DUPLICATE_LABEL_SAVE: 'Label já existente. Favor alterar a label para a mesma ser salva.',
	MSG_DUPLICATE_LABEL_IMPORT_MENU: 'Existe labels duplicadas no menu importado. É necessário que não exista nenhuma label repetida!',
	MSG_ERROR_IMPORT_MENU: 'Ocorreu um erro durante a busca do menu. Verifique se a URL informada está correta e acessível.',
};

Vue.prototype.$messages = Messages;
export default Messages;
